Bug 191924 - vsftpd can't start with the default configuration on s390x
vsftpd can't start with the default configuration on s390x
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
: Regression
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-05-16 10:21 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0531
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vsftpd-cant-start.patch (576 bytes, patch)
2006-05-16 10:21 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-05-16 10:21:24 EDT
vsftpd-2.0.1-5.EL4.4

In parseconf.c, vsf_parseconf_load_file(), there's a call to:
str_stat(&config_file_str, &p_statbuf);
with fatal errors enabled.

config_file_str doesn't contain the filename, but the content of the config file.

(I don't know how that cannot be a problem on other platforms, might have to do
with the slightly different compiler options on s390x).

1. Install vsftpd
2. service vsftpd start
3. service vsftpd status will say:
vsftpd dead but subsys locked

# vsftpd
500 OOPS: cannot open config file:/etc/vsftpd/vsftpd.conf

Patch from Adam Bottchen <bottchen@us.ibm.com>
Comment 1 Bastien Nocera 2006-05-16 10:21:25 EDT
Created attachment 129197 [details]
vsftpd-cant-start.patch
Comment 5 Radek Vokal 2006-05-19 06:17:20 EDT
Forget about comment #4. It does crash with fresh install. Tested. 
Comment 6 Jan Lieskovsky 2006-05-19 08:31:23 EDT
Missed this bug by testing vsftpd-2.0.1-5.EL4.4 due 
BZ#158714 – 'service vsftpd start' says OK even if exit status of vsftpd binary
is 1, and does not pass on errors from that binary,

just runned service vsftpd start got [OK], and didn't rechecked the
status of vsftpd via vsftpd status. 
Comment 16 Red Hat Bugzilla 2006-08-10 17:43:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0531.html

Note You need to log in before you can comment on or make changes to this bug.